// ignore_for_file: empty_catches, non_constant_identifier_names

import 'package:universal_io/io.dart';

extension HttpHeadersGetRangeExtensions on HttpHeaders {
  (num from, num to) general_lib_utils_range() {
    try {
      return (value("Range") ?? "").general_lib_utils_range();
    } catch (e) {}
    return (0, 0);
  }
}

extension StringGetRangeExtensions on String {
  (num from, num to) general_lib_utils_range() {
    try {
      RegExp regExp = RegExp("(bytes=([0-9]+)-([0-9]+))");
      RegExpMatch? regExpMatch = regExp.firstMatch(this);
      if (regExpMatch == null) {
        return (0, 0);
      }
      return (
        num.tryParse(regExpMatch.group(2) ?? "0") ?? 0,
        num.tryParse(regExpMatch.group(3) ?? "0") ?? 0
      );
    } catch (e) {}
    // bytes=0-227836;
    return (0, 0);
  }
}
